Page MenuHomePhabricator

AbuseFilter integration for JADE
Closed, ResolvedPublic

Description

Judgments should be sent through AbuseFilter, for which we need to implement at least the AbuseFilter-contentToString hook to flatten JSON, maybe reducing to just the freeform text values, or including quantitative judgment values in the hope of catching "marblecake"-style attacks.

Event Timeline

awight created this task.Aug 6 2018, 10:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2018, 10:17 PM
Huji added a subscriber: Huji.Aug 6 2018, 11:15 PM

Do you mean that the judgements should be subject to abuse filters? (E.g. if they contain profanity, it should be possible to block saving that judgement using an abuse filter that matches the profanity and prevents the action?)

@Huji Yes, exactly. We're hoping to create a new namespace "Judgment" and want to take every possible precaution against creating additional patrolling workload. It probably can't be helped in the end, but AbuseFilter and ORES flagging will help with reduce work by catching the low-hanging fruit.

Harej triaged this task as High priority.Aug 8 2018, 4:48 PM
Harej moved this task from Inbox to Feature Requests on the Jade board.
Restricted Application added a subscriber: Daimona. · View Herald TranscriptAug 8 2018, 4:48 PM

Change 464716 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/JADE@master] AbuseFilter integration test

https://gerrit.wikimedia.org/r/464716

awight moved this task from Feature Requests to Review on the Jade board.Oct 4 2018, 8:47 PM
awight moved this task from Active to Review on the Machine Learning Platform (Current) board.

Looks like text filtering will work out of the box.

Change 464716 merged by jenkins-bot:
[mediawiki/extensions/JADE@master] AbuseFilter integration test

https://gerrit.wikimedia.org/r/464716

awight claimed this task.Oct 9 2018, 10:39 PM
awight closed this task as Resolved.Oct 18 2018, 10:17 PM
awight moved this task from Review to Done on the Machine Learning Platform (Current) board.